[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# EResNotFound

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Exception raised when a resource, needed to initialize a component, is not found.

## Declaration

Source position: classesh.inc line 134

`type EResNotFound = class(Exception)`

## Inheritance

`EResNotFound` |  | Exception raised when a resource, needed to initialize a component, is not found.
`Exception` |  | Base class of all exceptions.
`TObject`

## Description

This exception is not used by Free Pascal but is provided for Delphi compatibility.